This function requests that the existing universal token for a card be returned.
Note: The GET request does not support a request body. Sending an empty request body may result in an error.
Integration Methods:
- Host Direct
- Locally Installed UTG
- Commerce Engine For On Premise
- Commerce Engine For Cloud
See the Integration Methods and URLs Section sections of the Development Quick Start guide for details regarding each processing option.
Refers to the name of the program or application that is sending requests to Shift4. This should be the name of the program that you purchased or created. The following special characters are not allowed: $ % : ^ - ~ ` < > , ? “ ” ‘ ’ { } [ ] \ + =
Refers to the vendor or partner that designed and certified the interface. The information you use in this field should match what Shift4 has on file or what was agreed upon in your Integration Plan. The following special characters are not allowed: $ % : ^ - ~ ` < > , ? “ ” ‘ ’ { } [ ] \ + =
A security credential used to authenticate API requests and all i4Go® authorizeClient/preauthorizeClient requests. An Access Token is the alias for the merchant account and interface being used. The Access Token is required in all requests except an Access Token Exchange request, which generates an Access Token using an authToken and clientGuid.
Conditional: Send in the initial authorization/sale request when processing a swiped MSR transaction. This field is not specified when using True P2PE® (point-to-point encryption) or a UTG-controlled PIN pad.
Card swipe data exactly as read by an MSR.
- Host Direct Test URLhttps://api.shift4test.com/api/rest/v1/tokens/universaltoken
- Host Direct Production URLhttps://api.shift4api.net/api/rest/v1/tokens/universaltoken
- Locally Installed UTG URLhttps://192.168.1.10:277/api/rest/v1/tokens/universaltoken
- Commerce Engine For On Premise URLhttps://192.168.1.20:8085/api/rest/v1/tokens/universaltoken
- Commerce Engine For Cloud Test URLhttps://api.shift4test.com/api/rest/v1/tokens/universaltoken
- Commerce Engine For Cloud Production URLhttps://api.shift4api.net/api/rest/v1/tokens/universaltoken
curl -i -X GET \
https://api.shift4test.com/api/rest/v1/tokens/universaltoken \
-H 'AccessToken: YOUR_API_KEY_HERE' \
-H 'CardNumber: 4321000000001119' \
-H 'CompanyName: PAWS' \
-H 'InterfaceName: ForwardPOS' \
-H 'InterfaceVersion: 2.1' \
-H 'P2PEData: string' \
-H 'P2PEFormat: 01' \
-H 'P2PEKsn: 6299495001100E200041' \
-H 'SerialNumber: 266' \
-H 'Token: 8048471746471119' \
-H 'TrackData: ;4321000000001119=2212201999999?'{ "result": [ { "dateTime": "2024-05-21T09:18:23.283-07:00", "merchant": { "mid": 15877, "name": "Merchant XYZ" }, "server": { "name": "TM01CE" }, "universalToken": { "value": "97032276-5944-00000001-16985FD179D" } } ] }